#!/bin/sh
MODEL=$1
[[ -z "$MODEL" ]] && echo "Missing model name (e.g. 'en-cs') argument..." >&2 && exit 1

TAG=${2:-"tensor2tensor-base"}

docker build --tag "$TAG" -f Dockerfile.base .

sed "s/T2T_MODEL/$MODEL/g" Dockerfile.template | sed "s#BASEIMG#$TAG#g" | docker build -t "$TAG/$MODEL" -
