Tensorflow Serving translation service Docker image + simple CLI for communicating with the created Docker container
The server inside the container is running on port 6666 by default.

Installation:
1. Run the Dockerfile.build.sh to build the image
$ sh Dockerfile.build.sh <model>

2. Start the container and bind the client port (6666) to the host port (choose a separate port for each model).
$ docker run -d -p 127.0.0.1:<host-port>:6666 <container-name> 

3. Send the text to the running docker container using the CLI:
$ echo "Text to be translated" | ./translate.sh --port <host-port> --model <model>
or
$ ./translate.sh --port <host-port> --model <model> --input <input-file>
(You can also specify an output file using ``--output'' option.)

You can also communicate directly with the server using the ``curl'' command.

Supported models:
en-cs
en-de
en-fr
en-pl
en-ru

cs-en
de-en
fr-en
pl-en
ru-en
