#!/bin/sh
set -e

dir=$(dirname $0)

for model in $@; do
    url_suf=$(grep $model available_models.txt)
    url=https://lindat.mff.cuni.cz/repository/xmlui/bitstream/handle/$url_suf
    fname=${url##*/}
    curl $url -o $dir/$fname
    unzip -d $dir $dir/$fname
    mv $dir/${fname%%.zip}/vocab* $dir/../data_dir
    rm $dir/$fname
done
